View Issue Details

IDProjectCategoryView StatusLast Update
0006732mantisbtadministrationpublic2017-01-31 04:02
ReporterdtgriscomAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.0rc5 
Target Version2.1.0Fixed in Version2.1.0 
Summary0006732: Sorting issue lists isn't stable (each sort scrambles previous sort)
Description

When viewing issues, if I click the "Status" column then everything is sorted by Status (good). If I then click the "P" column, everything is sorted by Priority (good). However, groups of items that are of the same priority do NOT stay sorted by Status (bad).

This behaves as if it were using an unstable sorting algorithm (previously sorted keys are rearranged even if they don't have to be). I know that this doesn't apply with SQL; what you need to do is keep track of the last few columns sorted on, and use a "SORTED BY xxxx, yyyy, zzzz" statement, where "xxxx" is the most recently clicked column, "yyyy" is the column clicked before that, and "xxxx" is the column clicked before THAT.

Additional Information

For example, if I want to go through my bugs by priority, sub-sorted by current status, I'd like to be able to click "Status" and then "P". Can't currently do that.

TagsNo tags attached.

Relationships

related to 0007708 closedcproensa Feature: multiple sorting of problem informations 
child of 0021935 closedcproensa Filter api refactoring, manage stored filters 

Activities

cproensa

cproensa

2016-10-17 18:16

developer   ~0054260

track as worked in PR 862

Issue History

Date Modified Username Field Change
2006-02-20 16:47 dtgriscom New Issue
2016-10-17 17:42 cproensa Relationship added related to 0007708
2016-10-17 18:16 cproensa Assigned To => cproensa
2016-10-17 18:16 cproensa Status new => assigned
2016-10-17 18:16 cproensa Note Added: 0054260
2016-11-20 15:59 cproensa Relationship added child of 0021935
2017-01-14 17:36 cproensa Status assigned => resolved
2017-01-14 17:36 cproensa Resolution open => fixed
2017-01-14 17:36 cproensa Fixed in Version => 2.1.0
2017-01-14 17:36 cproensa Target Version => 2.1.0
2017-01-31 04:02 vboctor Status resolved => closed